Description

As discussed here and requested by Guillermo: 

http://gis.stackexchange.com/questions/75463/qgis-select-feature-add-to-current-selection-feature

there is a need to allow the user to make additional interactive manual selections of a feature layer after other features from that layer have

already been selected.

The person who answered the question didn't understand what was requested, as Guillermo pointed out at the end.

ArcGIS has this option, called "Add to current selection", as described here: 

http://webhelp.esri.com/arcgisdesktop/9.3/index.cfm?TopicName=Selecting_features_interactively

This option allows you to "Add to Current Selection keeps any existing selection and also selects the ones you click or drag a box around."

I often have to deal with data which doesn't have attributes to allow querying for additional features to select. I normally use the ctrl key

plus a click of a feature to add that feature to the existing selected features, but if I were to accidentally click somewhere else or miss a

feature selection (or forget to hold down my ctrl key), I've then lost all of my previous selections and have to start over.

The selection tool in the toolbar already contains a dropdown where this option could be added.

History

#1 - 2015-03-05 05:03 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Category changed from Browser to Map Canvas

It is already possible, by pressing CTRL. Doesnt't work for you?

#2 - 2015-03-05 05:22 PM - Jan D

I'm aware of the ctrl key. However, the ctrl key, when used before a mouse click on the map, only adds features to the selection for the next mouse click on

the map feature. It doesn't lock the next feature selection into a "add to current selection" mode. That means every time you want to add a feature selection

to a set of existing selections, the ctrl key must be pressed down before the mouse click. When you're needing to make lots of selections, having to keep

pressing/unpress the ctrl key leads to moments when you've missed the key press/mouse click order, and you end up clicking a feature and losing all of

your previous selections. 

So no, using the ctrl key does't do what I'm after. A "add to current selection" pointer would function the same as locking down the ctrl key for you while

you're making selections.

It would be an easy way to prevent one from losing previous selections.

#3 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No
